Delete all subscriptions for an app

This API endpoint removes all webhook subscriptions for a partner application. This is a bulk operation that deletes every configured webhook at once. Use this with extreme caution as it's irreversible and will immediately stop all event deliveries to all webhooks. For removing individual subscriptions, use the delete specific subscription endpoint instead.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Parameters

KeyValueDescriptionData TypesRequire/OptionalConstraints
Authorization{PARTNER_APP_TOKEN}Partner app access token issued post partner loginStringRequiredShould be a valid Partner app access token belonging to the passed appId
appId{App_ID}App ID for the app to be deletedStringRequiredValid app ID

Sample Request

curl --location --request DELETE 'https://partner.gupshup.io/partner/app/:appId/subscription' \
--header 'Authorization: {PARTNER_APP_TOKEN}'

Sample Response

Status Codes

Status CodeResponseComments
Success
204Success when all subscriptions are deleted. No content.
Error
400{ "status":"error", "message/data":"<Specific to API>" }Error with respect to API
401{ "status":"error", "message":"Unauthorized Access" }When authentication fails
403{ "status":"error", "message":"Unauthorized Access" }Access is not allowed
429{ "status": "error", "message": "Too Many Requests" }5 calls per minute
500{ "status": "error", "message": "Internal Server Error" }For any Internal Error
Path Params
string
required
Headers
string
required

Your app token, please refer Get access token api to get the token from partner documentation.

Responses
204

No Content

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json